From bippy-c9c4e1df01b2 Mon Sep 17 00:00:00 2001
From: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
To: <linux-cve-announce@vger.kernel.org>
Reply-to: <cve@kernel.org>, <linux-kernel@vger.kernel.org>
Subject: CVE-2024-42080: RDMA/restrack: Fix potential invalid address access

Description
===========

In the Linux kernel, the following vulnerability has been resolved:

RDMA/restrack: Fix potential invalid address access

struct rdma_restrack_entry's kern_name was set to KBUILD_MODNAME
in ib_create_cq(), while if the module exited but forgot del this
rdma_restrack_entry, it would cause a invalid address access in
rdma_restrack_clean() when print the owner of this rdma_restrack_entry.

These code is used to help find one forgotten PD release in one of the
ULPs. But it is not needed anymore, so delete them.

The Linux kernel CVE team has assigned CVE-2024-42080 to this issue.


Affected and fixed versions
===========================

	Fixed in 5.15.162 with commit 8656ef8a9288
	Fixed in 6.1.97 with commit 782bdaf9d016
	Fixed in 6.6.37 with commit 8ac281d42337
	Fixed in 6.9.8 with commit f45b43d17240
	Fixed in 6.10 with commit ca537a34775c

Please see https://www.kernel.org for a full list of currently supported
kernel versions by the kernel community.

Unaffected versions might change over time as fixes are backported to
older supported kernel versions.  The official CVE entry at
	https://cve.org/CVERecord/?id=CVE-2024-42080
will be updated if fixes are backported, please check that for the most
up to date information about this issue.


Affected files
==============

The file(s) affected by this issue are:
	drivers/infiniband/core/restrack.c


Mitigation
==========

The Linux kernel CVE team recommends that you update to the latest
stable kernel version for this, and many other bugfixes.  Individual
changes are never tested alone, but rather are part of a larger kernel
release.  Cherry-picking individual commits is not recommended or
supported by the Linux kernel community at all.  If however, updating to
the latest release is impossible, the individual changes to resolve this
issue can be found at these commits:
	https://git.kernel.org/stable/c/8656ef8a9288d6c932654f8d3856dc4ab1cfc6b5
	https://git.kernel.org/stable/c/782bdaf9d01658281bc813f3f873e6258aa1fd8d
	https://git.kernel.org/stable/c/8ac281d42337f36cf7061cf1ea094181b84bc1a9
	https://git.kernel.org/stable/c/f45b43d17240e9ca67ebf3cc82bb046b07cc1c61
	https://git.kernel.org/stable/c/ca537a34775c103f7b14d7bbd976403f1d1525d8
